Bug 59505 - ports update net/delegate
ports update net/delegate
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: pav
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-20 11:40 UTC by 1yen
Modified: 2004-07-05 18:07 UTC (History)
0 users

See Also:


Attachments
file.diff (3.35 KB, patch)
2003-11-20 11:40 UTC, 1yen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description 1yen 2003-11-20 11:40:22 UTC
	Update to delegate 8.7.7
Comment 1 pav freebsd_committer 2003-12-05 16:18:00 UTC
Do you have any evidence (website article, changelog entries...) that
this program is no longer a big security problem?

-- 
Pav Lucistnik <pav@FreeBSD.org>
              <pav@oook.cz>
Comment 2 pav freebsd_committer 2003-12-05 16:18:06 UTC
State Changed
From-To: open->feedback

Asked submitter about the warning banners. 


Comment 3 pav freebsd_committer 2003-12-05 16:18:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

I like this.
Comment 4 ta.nakamura 2003-12-09 11:12:51 UTC
I understand the security problem now.
It is surmised that the problem is not corrected yet.

I made new patch. Replace this one.

==============
diff -u -r1.42 Makefile
--- ports/net/delegate/Makefile	27 Sep 2003 01:01:02 -0000
+++ ports/net/delegate/Makefile	8 Dec 2003 02:15:00 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	delegate
-PORTVERSION=	8.5.5
+PORTVERSION=	8.7.8
 CATEGORIES=	net www
 MASTER_SITES=	ftp://www.delegate.org/pub/DeleGate/ \
 		ftp://ftp.delegate.org/pub/DeleGate/
@@ -23,14 +23,14 @@
 .if !defined(FORCE_BUILD) || ${FORCE_BUILD}!="YES"
 	@${ECHO_MSG} "*********************************************************************"
 	@${ECHO_MSG} "*   WARNING!     WARNING!     WARNING!     WARNING!     WARNING!    *"
-	@${ECHO_MSG} "* This program has known security problems which may allow a remote  *"
+	@${ECHO_MSG} "* This program has known security problems which may allow a remote *"
 	@${ECHO_MSG} "* attacker to take control of your machine.                         *"
 	@${ECHO_MSG} "* See FreeBSD security advisory 00:04 for more information.         *"
 	@${ECHO_MSG} "*                                                                   *"
 	@${ECHO_MSG} "* It is strongly recommended that you avoid using this program.     *"
 	@${ECHO_MSG} "*                                                                   *"
 	@${ECHO_MSG} "* If you would like to use this program despite the danger, run     *"
-	@${ECHO_MSG} "* make with ``FORCE_BUILD=YES''                                     *"
+	@${ECHO_MSG} "* make with \`\`FORCE_BUILD=YES''                                     *"
 	@${ECHO_MSG} "*   WARNING!     WARNING!     WARNING!     WARNING!     WARNING!    *"
 	@${ECHO_MSG} "*********************************************************************"
 	@${FALSE}
@@ -38,7 +38,7 @@
 	@${ECHO_MSG} "*********************************************************************"
 	@${ECHO_MSG} "*   WARNING!     WARNING!     WARNING!     WARNING!     WARNING!    *"
 	@${ECHO_MSG} "* You have chosen to build an insecure program.                     *"
-	@${ECHO_MSG} "* This program has known security problems which may allow a remote  *"
+	@${ECHO_MSG} "* This program has known security problems which may allow a remote *"
 	@${ECHO_MSG} "* attacker to take control of your machine.                         *"
 	@${ECHO_MSG} "* See FreeBSD security advisory 00:04 for more information.         *"
 	@${ECHO_MSG} "*********************************************************************"
diff -u -r1.31 distinfo
--- ports/net/delegate/distinfo	27 Jun 2003 05:21:01 -0000
+++ ports/net/delegate/distinfo	8 Dec 2003 02:12:59 -0000
@@ -1 +1 @@
-MD5 (delegate8.5.5.tar.bz2) = aec6bad25d63e8e857eed3ae28dcf1a1
+MD5 (delegate8.7.8.tar.bz2) = 0fc4091e33e3be53e9d4b0a9877b3709
==============


On Fri, 05 Dec 2003 17:18:00 +0100,
 Pav Lucistnik <pav@FreeBSD.org> wrote:

> Do you have any evidence (website article, changelog entries...) that
> this program is no longer a big security problem?
Comment 5 pav freebsd_committer 2003-12-09 12:23:15 UTC
State Changed
From-To: feedback->closed

Committed, thanks!